❖ MatchMove Banking API Specifications

Sections

Theme switcher

[DEPRECATED] Initiate KYC process

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Body Parameters

provider_idstring Required

Provider ID from the selected provider for the KYC flow

user_typestring Required

Type of user enabled for the selected provider

Enum values:
customer
user_idstring Required

User Hash ID

program_codestring Required

Program Code

modestring

Mode of processing the start of verification via sdk

Default value
web_sdk
Enum values:
android_sdkios_sdkweb_sdk
redirect_uristring

Customized HTTP or native URL where the final step of KYC verification would redirect to

redirect_textstring

Customized button text to be displayed on the final step of KYC verification page

client_idstring

Client ID; applicable only for native mode (ios/android)

application_identifierstring

Application Bundle Identifier; applicable only for native mode (ios/android)

customizationstring

JSON encoded string of customization details

Response

200
Object

OK

Response Attributes

linksarray Required

Array of Web SDK links and metadata for initiating the verification flow

Max items
1
successboolean Required

Indicates whether the verification process was successfully initiated

user_idstring Required

Unique identifier of the user / associated party

verification_idstring Required

Unique identifier of the verification process

verification_modestring

Verification mode for the current verification session.

400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • still_in_progress_verification — The account/KYC status has not yet reached a terminal state
  • resource_user_inactive — User is currently inactive

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates why the request was rejected.

Possible error codes:

  • unauthorized_action — The requested action is not permitted for this scope
  • resource_user_no_access — User does not have access to this resource
  • disallow_updates — Update feature is blocked by the allow_modifications policy
  • disallow_updates_by_field — One or more of the fields being changed are not allowed for the current user/provider status

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • user_not_found — User not found
  • route_not_defined — Missing auth definition on the given route

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

422
Object

Unprocessable Entity

Response Attributes

idstring

Unique error identifier

statusnumber

HTTP status code

codestring

Error code identifier

titlestring

Error title

detailstring

Detailed error description

sourcearray

List of field-specific error sources

Max items
100
requirementsobject
timestampstring

Error timestamp

500
Object

Internal Server Error The response code field indicates the failure category. Possible error codes:

  • generic_error — General application error
  • request_fatal_internal — Fatal service error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

KYC Orchestrator Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?